Bug 103651 - FILEOPEN: DOCX smiley in one comment appears in every other comments
Summary: FILEOPEN: DOCX smiley in one comment appears in every other comments
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
5.1.4.2 release
Hardware: All All
: medium normal
Assignee: Mark Hung
URL:
Whiteboard: target:5.4.0 target:5.2.5 target:5.3.0.1
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX-Comments
  Show dependency treegraph
 
Reported: 2016-11-02 14:24 UTC by Gabor Kelemen
Modified: 2017-10-05 21:42 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
The problematic document (13.90 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2016-11-02 14:24 UTC, Gabor Kelemen
Details
The document in Word 2013 and Writer 5.1.4 side by side (94.69 KB, image/png)
2016-11-02 14:25 UTC, Gabor Kelemen
Details
The document in 5.3 master (136.05 KB, image/png)
2016-11-02 14:27 UTC, Gabor Kelemen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2016-11-02 14:24:20 UTC
Created attachment 128440 [details]
The problematic document

Attached docx document has three paragraphs, with a comment and a reply attached to all of them.
The document was made in LO 5.1.4 (paragraphs and comments), then opened in Word 2013, where I added the replies to the comments.
To the last reply I added a :) which was replaced by Word with a UTF-8 smiley character: 

Opening the document in LO again makes the smiley appear in all comments, while in Word it remains only in the third reply.
Comment 1 Gabor Kelemen 2016-11-02 14:25:03 UTC
Created attachment 128441 [details]
The document in Word 2013 and Writer 5.1.4 side by side
Comment 2 Gabor Kelemen 2016-11-02 14:27:07 UTC
Created attachment 128442 [details]
The document in 5.3 master

It looks a bit different on Ubuntu in the master build, maybe this is just a charset issue. But the smiley is still present in all comments.
Comment 3 Xisco Faulí 2016-11-02 14:51:46 UTC
Confirmed in

Version: 5.3.0.0.alpha1+
Build ID: 1b0aa768f2c5da65074a6eacfed5f61a121fb13d
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; VCL: gtk3; Layout
Engine: old; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

but I can't reproduce it in

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

thus, this is a regression
Comment 4 raal 2016-11-05 19:49:50 UTC
This seems to have begun at the below commit.
Adding Cc: to Mark Hung; Could you possibly take a look at this one? Thanks

 author	Mark Hung <marklh9@gmail.com>	2015-06-23 17:40:13 (GMT)
committer	Michael Stahl <mstahl@redhat.com>	2015-07-28 21:57:54 (GMT)
commit	62e2fae93e8894f73560a30ae1e752cbd4c001ad (patch)
tree	179062d05727d4a863f6ec0f44bdf5ef1193f516
parent	7523423f03fc21fae31508b17c9bd719c7d04136 (diff)
tdf#91594 misinterprets letters from Symbol font in docx files

 1b6d2b632f83b6d73f6ab643c964bb56b33923c8 is the first bad commit
commit 1b6d2b632f83b6d73f6ab643c964bb56b33923c8
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Mon Aug 3 16:35:08 2015 -0700

    source sha:62e2fae93e8894f73560a30ae1e752cbd4c001ad
	
git bisect log
# bad: [05d11632892a322664fb52bac90b2598b7fb7544] source sha:5616d22b57a9a5e57d545e912e029162a230829b
# good: [c1efd324c6ad448ac9edb030dc9738b9e6899e4d] source sha:ab465b90f6c6da5595393a0ba73f33a1e71a2b65
git bisect start 'origin/master' 'oldest'
# bad: [97526ab777da7e58ce283c05498262ecdd4d6f7f] source sha:4ea70f87f7a2b61eda6e5ab1f48debf6fcfadc1f
git bisect bad 97526ab777da7e58ce283c05498262ecdd4d6f7f
# good: [2202cdaa0eae3f646f1285a0ea45934edeb26e8a] source sha:a88bf8fd10c42a15e5d6e66da656889c82b4933a
git bisect good 2202cdaa0eae3f646f1285a0ea45934edeb26e8a
# bad: [13169de9868218d603d1ae26805ebf4583e7d628] source sha:6f98a0ab51cc5c860576b4ad44478b438cc5a5eb
git bisect bad 13169de9868218d603d1ae26805ebf4583e7d628
# good: [a2e73a5257c1598c1070ec06105c1dffaef3842e] source sha:01d1165572f53ca50c626fa036343932c1e8c5db
git bisect good a2e73a5257c1598c1070ec06105c1dffaef3842e
# good: [3537cdbd10dfe084536e29e5f67ae7504c7c48b6] source sha:a99520eb0a0ccb5a03e85c697d38eb6520ec403c
git bisect good 3537cdbd10dfe084536e29e5f67ae7504c7c48b6
# bad: [361e05c2b7c8fa8dfce0874cd1d7afcbb9c74cae] source sha:b03f6f45f4a13d97b0b62ea7c54b75dd14a5ad5e
git bisect bad 361e05c2b7c8fa8dfce0874cd1d7afcbb9c74cae
# bad: [1c3c5ca71ef15317094bcf21f98e66ad0c290aad] source sha:025fb3c66085ebd7cbb3f4bad01d777f7bc54c2e
git bisect bad 1c3c5ca71ef15317094bcf21f98e66ad0c290aad
# bad: [db2280ff3f6636845d48f3113f71f8003bcbbf58] source sha:705e830dd63f1dc2676c96112564531bc9f391a7
git bisect bad db2280ff3f6636845d48f3113f71f8003bcbbf58
# good: [6859c07cb5872e7d4bf60b475bbc1e5ae3e2717d] source sha:09bd5846d57bf6b506b0967d664b2f80562e03fc
git bisect good 6859c07cb5872e7d4bf60b475bbc1e5ae3e2717d
# bad: [5b5155c84a96f1f48b1d3e97ded8eb063ad89475] source sha:01d96add97c49607317b51ac64a36c229f9da0ec
git bisect bad 5b5155c84a96f1f48b1d3e97ded8eb063ad89475
# good: [4415619d23d93d3470c734c7f34a8464258e0b52] source sha:7523423f03fc21fae31508b17c9bd719c7d04136
git bisect good 4415619d23d93d3470c734c7f34a8464258e0b52
# bad: [af007b13519de8f688ec93525eb9ca667016fdf9] source sha:171990764eedee708ce458be2239466307b2dc6a
git bisect bad af007b13519de8f688ec93525eb9ca667016fdf9
# bad: [1b6d2b632f83b6d73f6ab643c964bb56b33923c8] source sha:62e2fae93e8894f73560a30ae1e752cbd4c001ad
git bisect bad 1b6d2b632f83b6d73f6ab643c964bb56b33923c8
# first bad commit: [1b6d2b632f83b6d73f6ab643c964bb56b33923c8] source sha:62e2fae93e8894f73560a30ae1e752cbd4c001ad
Comment 5 Commit Notification 2016-12-07 16:14:30 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3caf89200c8fa7b38d6c340b666ca6cc8c2eb766

tdf#103651 check isForwardEvents() for symbols in comments

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-12-08 15:36:36 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=282e2de90fe724958c82c76f449a19e8ccbfc017&h=libreoffice-5-2

tdf#103651 check isForwardEvents() for symbols in comments

It will be available in 5.2.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-12-08 15:37:15 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7f47d68c4310b8bae09286a81036a6fa669a1705&h=libreoffice-5-3

tdf#103651 check isForwardEvents() for symbols in comments

It will be available in 5.3.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 vihsa 2017-03-01 07:04:18 UTC
verified. Version: 5.4.0.0.alpha0+
Build ID: febc116

the smiley appears on third comment only.